Bug 1937245 - csi-cephfsplugin pods CrashLoopBackoff in fresh 4.6 cluster due to conflict with kube-rbac-proxy
Summary: csi-cephfsplugin pods CrashLoopBackoff in fresh 4.6 cluster due to conflict w...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenShift Container Storage
Classification: Red Hat
Component: rook
Version: 4.6
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: OCS 4.7.0
Assignee: Madhu Rajanna
QA Contact: akarsha
URL:
Whiteboard:
Depends On: 1923819
Blocks: 1937266 1938134
TreeView+ depends on / blocked
 
Reported: 2021-03-10 09:04 UTC by Mudit Agarwal
Modified: 2021-06-01 08:50 UTC (History)
18 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
.`cpehcsi` node plugin pods preoccupying ports for GRPC metrics Previously, the `cephcsi` pods exposed GRPC metrics for debugging purposes, and hence the `cephcsi` node plugin pods used ports 9090 for RBD and 9091 for CephFS. As a result, the `cephsi` pods failed to come up due to the unavailability of the ports. With this release, GRPC metrics are disabled by default as it only required for debugging purposes and now `cephcsi` does not use the ports 9091 and 9090 on the node where node plugin pods are running.
Clone Of: 1923819
: 1937266 (view as bug list)
Environment:
Last Closed: 2021-05-19 09:20:08 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github rook rook pull 7379 0 None open ceph: disable CSI GRPC metrics by default 2021-03-10 09:05:52 UTC
Red Hat Product Errata RHSA-2021:2041 0 None None None 2021-05-19 09:20:59 UTC

Comment 9 Humble Chirammal 2021-03-30 13:04:08 UTC
This bug need doc text to be filled.

Comment 13 errata-xmlrpc 2021-05-19 09:20:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Red Hat OpenShift Container Storage 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2041


Note You need to log in before you can comment on or make changes to this bug.